<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetMohAudioSourceReq StructType
 * @subpackage Structs
 */
class GetMohAudioSourceReq extends AbstractStructBase
{
    /**
     * The sourceId
     * Meta information extracted from the WSDL
     * - choice: sourceId | uuid
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $sourceId;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - choice: sourceId | uuid
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * The returnedTags
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\RMohAudioSource
     */
    public $returnedTags;
    /**
     * The sequence
     * Meta information extracted from the WSDL
     * - use: optional
     * @var int
     */
    public $sequence;
    /**
     * Constructor method for GetMohAudioSourceReq
     * @uses GetMohAudioSourceReq::setSourceId()
     * @uses GetMohAudioSourceReq::setUuid()
     * @uses GetMohAudioSourceReq::setReturnedTags()
     * @uses GetMohAudioSourceReq::setSequence()
     * @param string $sourceId
     * @param string $uuid
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RMohAudioSource $returnedTags
     * @param int $sequence
     */
    public function __construct($sourceId = null, $uuid = null, \\Losc\CucmBundle\Model\Webservice\StructType\RMohAudioSource $returnedTags = null, $sequence = null)
    {
        $this
            ->setSourceId($sourceId)
            ->setUuid($uuid)
            ->setReturnedTags($returnedTags)
            ->setSequence($sequence);
    }
    /**
     * Get sourceId value
     * @return string
     */
    public function getSourceId()
    {
        return isset($this->sourceId) ? $this->sourceId : null;
    }
    /**
     * Set sourceId value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $sourceId
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetMohAudioSourceReq
     */
    public function setSourceId($sourceId = null)
    {
        if (is_null($sourceId) || (is_array($sourceId) && empty($sourceId))) {
            unset($this->sourceId);
        } else {
            $this->sourceId = $sourceId;
        }
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return isset($this->uuid) ? $this->uuid : null;
    }
    /**
     * Set uuid value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetMohAudioSourceReq
     */
    public function setUuid($uuid = null)
    {
        if (is_null($uuid) || (is_array($uuid) && empty($uuid))) {
            unset($this->uuid);
        } else {
            $this->uuid = $uuid;
        }
        return $this;
    }
    /**
     * Get returnedTags value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RMohAudioSource|null
     */
    public function getReturnedTags()
    {
        return $this->returnedTags;
    }
    /**
     * Set returnedTags value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RMohAudioSource $returnedTags
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetMohAudioSourceReq
     */
    public function setReturnedTags(\\Losc\CucmBundle\Model\Webservice\StructType\RMohAudioSource $returnedTags = null)
    {
        $this->returnedTags = $returnedTags;
        return $this;
    }
    /**
     * Get sequence value
     * @return int|null
     */
    public function getSequence()
    {
        return $this->sequence;
    }
    /**
     * Set sequence value
     * @param int $sequence
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetMohAudioSourceReq
     */
    public function setSequence($sequence = null)
    {
        $this->sequence = $sequence;
        return $this;
    }
}
